Download it now!
Bug 134084 - Double underline under Font color and Highlight color
Summary: Double underline under Font color and Highlight color
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-17 21:06 UTC by BogdanB
Modified: 2020-07-26 07:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
video showing the bug (7.40 MB, application/x-matroska)
2020-06-17 21:07 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BogdanB 2020-06-17 21:06:35 UTC
Description:
Open LibreOffice Writer, change theme to Sifr (but not only this). 
Change to small icons.
There are double underline with 2 colour, instead of 1 underline, one color.

See the video for tests.

Steps to Reproduce:
1. Open a new LibreOffice Writer document. See icons for Font color and Highlight color. 
2. 
3.

Actual Results:
There are 2 underlines colors.

Expected Results:
Should be one underline color


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.1.0.0.alpha0+
Build ID: a3c8ea5e644ca2fc04de9f01ba9f8ace47f520f0
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-17_02:21:20
Calc: threaded
Comment 1 BogdanB 2020-06-17 21:07:28 UTC
Created attachment 162129 [details]
video showing the bug

video showing the bug
Comment 2 BogdanB 2020-06-17 21:10:52 UTC
I can REPRO in Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 3 BogdanB 2020-06-17 21:11:27 UTC
But not in 
Version: 6.4.4.1
Build ID: b50bc319eca5cd5b66fbfe2ebd0d3bd1eed099b5
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 BogdanB 2020-06-17 21:34:09 UTC
Bibisected

bc1a90c9f8caabad73f699c5513e4efbc16c403c is the first bad commit
commit bc1a90c9f8caabad73f699c5513e4efbc16c403c
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Jan 6 17:47:32 2020 +0100

    source sha:40fe5b93bc0838e04b46bfc7942d1ee6a2482ce0
    
    source sha:40fe5b93bc0838e04b46bfc7942d1ee6a2482ce0

 instdir/program/libavmedialo.so                    | Bin 374784 -> 374784 bytes
 instdir/program/libbasctllo.so                     | Bin 2202224 -> 2202224 bytes
 instdir/program/libchartcontrollerlo.so            | Bin 3788032 -> 3788200 bytes
 instdir/program/libcuilo.so                        | Bin 4236064 -> 4236064 bytes
 instdir/program/libdbulo.so                        | Bin 6348024 -> 6348024 bytes
 instdir/program/libfps_officelo.so                 | Bin 628984 -> 628984 bytes
 instdir/program/libfwklo.so                        | Bin 4084464 -> 4084464 bytes
 instdir/program/librptuilo.so                      | Bin 1756408 -> 1756408 bytes
 instdir/program/libsclo.so                         | Bin 21715664 -> 21715664 bytes
 instdir/program/libsdlo.so                         | Bin 10019248 -> 10019248 bytes
 instdir/program/libsfxlo.so                        | Bin 8029416 -> 8029416 bytes
 instdir/program/libsvtlo.so                        | Bin 4504008 -> 4504080 bytes
 instdir/program/libsvxcorelo.so                    | Bin 12197720 -> 12199832 bytes
 instdir/program/libsvxlo.so                        | Bin 6326760 -> 6301400 bytes
 instdir/program/libswlo.so                         | Bin 22092784 -> 22092784 bytes
 instdir/program/libvcllo.so                        | Bin 14018880 -> 14023968 bytes
 instdir/program/libvclplug_gtk3_kde5lo.so          | Bin 3500024 -> 3501120 bytes
 instdir/program/libvclplug_gtk3lo.so               | Bin 2377304 -> 2378408 bytes
 instdir/program/versionrc                          |   2 +-
 instdir/share/config/images_breeze.zip             | Bin 1758948 -> 1758948 bytes
 instdir/share/config/images_breeze_dark.zip        | Bin 1753253 -> 1753253 bytes
 instdir/share/config/images_breeze_svg.zip         | Bin 1420052 -> 1420052 bytes
 instdir/share/config/images_colibre.zip            | Bin 2530508 -> 2530508 bytes
 instdir/share/config/images_colibre_svg.zip        | Bin 2267733 -> 2267733 bytes
 instdir/share/config/images_elementary.zip         | Bin 3869231 -> 3869231 bytes
 instdir/share/config/images_elementary_svg.zip     | Bin 4665048 -> 4665048 bytes
 instdir/share/config/images_karasa_jaga.zip        | Bin 4806670 -> 4806670 bytes
 instdir/share/config/images_karasa_jaga_svg.zip    | Bin 18697194 -> 18697194 bytes
 instdir/share/config/images_sifr.zip               | Bin 1399955 -> 1399955 bytes
 instdir/share/config/images_sifr_dark.zip          | Bin 1903703 -> 1903703 bytes
 instdir/share/config/images_sifr_svg.zip           | Bin 1117610 -> 1117610 bytes
 instdir/share/config/images_tango.zip              | Bin 1779189 -> 1779189 bytes
 .../config/soffice.cfg/svx/ui/floatingareastyle.ui |  84 ++++++++----
 .../share/config/soffice.cfg/svx/ui/sidebararea.ui | 146 ++++++++++++---------
 34 files changed, 142 insertions(+), 90 deletions(-)
Comment 5 Buovjaga 2020-06-19 11:17:12 UTC
Not reproduced.

Bogdan: did you try

git checkout bc1a90c9f8caabad73f699c5513e4efbc16c403c

Test...

git checkout HEAD^

Test...

To see, if the bad/good result was logical?

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: ad0351b84926075297fb74abbe9b31a0455782af
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 17 June 2020
Comment 6 Maxim Monastirsky 2020-06-19 12:59:42 UTC
Reproduced in:

Version: 7.1.0.0.alpha0+
Build ID: 573138efec7fa28a98ba3b0301f6e0a97dac7978
CPU threads: 4; OS: Linux 5.6; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-18_14:08:32
Calc: threaded

but not in:

Version: 6.4.4.2
Build ID: 3d775be2011f3886db32dfd395a6a6d1ca2630ff
CPU threads: 4; OS: Linux 5.6; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Exact steps to reproduce:
1. Open Writer; ensure the Formatting toolbar is visible.
2. Tools > Options... > LibreOffice > View.
3. Change toolbar icon size to small.

(In reply to BogdanB from comment #4)
> Bibisected
> 
> bc1a90c9f8caabad73f699c5513e4efbc16c403c is the first bad commit
> commit bc1a90c9f8caabad73f699c5513e4efbc16c403c
> Author: Jenkins Build User <tdf@pollux.tdf>
> Date:   Mon Jan 6 17:47:32 2020 +0100
> 
>     source sha:40fe5b93bc0838e04b46bfc7942d1ee6a2482ce0
I didn't test it, but the given commit indeed touches svx/source/tbxctrls/tbxcolorupdate.cxx, which is where this color preview code lives.
Comment 7 Caolán McNamara 2020-06-19 14:06:06 UTC
the size change of the toolbar buttons isn't detected so it keeps drawing the colorbar in the old position
Comment 8 Commit Notification 2020-06-19 15:24:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3c17bb91f29d431f99a742bd14ffc9612f25a7af

tdf#134084 use the desired image size, not the current image size

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-06-19 19:13:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a3dec7a0b3714ff74c32c8cedc62a9aae6fb6b9b

tdf#134084 use the desired image size, not the current image size

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2020-06-19 19:14:59 UTC
that seems to work, fixed in master and 7-0
Comment 11 BogdanB 2020-06-22 20:52:25 UTC
Verified. It's ok

Version: 7.1.0.0.alpha0+
Build ID: abe2a662cde10bb6d9308a85c60ab0b185183d41
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-21_15:25:29
Calc: threaded

Thanks, this was a very annoying visual bug.